Переполнение буфера в Apple QuickTime

Дата публикации:
15.01.2008
Дата изменения:
03.04.2008
Всего просмотров:
2092
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Apple QuickTime 7.x
Уязвимые версии: Apple QuickTime 7.4, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке RTSP ответов. Удаленный пользователь может с помощью специально сформированного ответа, содержащего слишком длинную строку "Reason-Phrase", вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: www.apple.com/quicktime/

Решение: Установите последнюю версию 7.4.1 с сайта производителя.

Журнал изменений:

16.12.2008
Обновлена секция "Программа".
14.02.2008
Изменена секция «Решение».

Ссылки: Quicktime Player 7.3.1.70 rtsp Remote Buffer Overflow Exploit PoC

или введите имя

CAPTCHA
16-01-2008 02:20:57
Значит тихо ждём исправлений.
0 |
16-01-2008 02:25:50
Пардон народ, поторопился - на офсайте выложена QuikTime 7.4. Ссылка на закачку поскольку они динамические не даю, скачивайте со страницы закачки - меньше будет ошибок.
0 |
16-01-2008 02:29:57
Заодно выложен и iTunes 7.6 - сейчас качаю, из новостей знаю одно - он вроде должен включать QuickTime 7.4. Во всяком случае об этом говорит страница загрузки QuickTime если я правильно её понял.
0 |